// SPDX-FileCopyrightText: 2021 Johannes Loher
//
// SPDX-License-Identifier: MIT

import registerForGetTokenConfigHeaderButtonsHook from './hooks/getTokenConfigHeaderButtons';
import registerForInitHook from './hooks/init';
import registerForRenderTokenConfigHook from './hooks/renderTokenConfig';
import registerForUpdateSceneHook from './hooks/updateScene';
import registerForUpdateTokenHook from './hooks/updateToken';

/**
 * Register for all the hooks that darkness-dependent-vision needs to react to.
 */
export default function registerForHooks() {
  registerForInitHook();
  registerForUpdateSceneHook();
  registerForUpdateTokenHook();
  registerForGetTokenConfigHeaderButtonsHook();
  registerForRenderTokenConfigHook();
}
